當前位置: 首頁>>技術問答>>正文


PIP無法找到滿足SQLAlchemy要求的任何下載

, , , ,

問題描述

  • Ubuntu 12.04

  • Apache 2.2.22

pip已停止在我的ubuntu服務器上運行,並在我嘗試下載任何內容時給出以下錯誤。

$ sudo pip install SQLAlchemy
Downloading/unpacking SQLAlchemy
  Cannot fetch index base URL http://pypi.python.org/simple/
  Could not find any downloads that satisfy the requirement SQLAlchemy
No distributions at all found for SQLAlchemy
Storing complete log in /home/user/.pip/pip.log

以下所有也不起作用

$ sudo pip install --upgrade pip 
$ sudo apt-get install build-essential

我的/etc/environment具有以下設置,以前工作。

http_proxy="http://myproxyhere:portnumberhere/"
HTTP_PROXY="http://myproxyhere:portnumberhere/"

我的/home/user/.pip

------------------------------------------------------------
/usr/bin/pip run on Sat Jun  7 20:08:38 2014
Downloading/unpacking SQLAlchemy

  Getting page http://pypi.python.org/simple/SQLAlchemy
  Could not fetch URL http://pypi.python.org/simple/SQLAlchemy: <urlopen error [Errno 111] Connection refused>
  Will skip URL http://pypi.python.org/simple/SQLAlchemy when looking for download links for SQLAlchemy
  Getting page http://pypi.python.org/simple/
  Could not fetch URL http://pypi.python.org/simple/: <urlopen error [Errno 111] Connection refused>
  Will skip URL http://pypi.python.org/simple/ when looking for download links for SQLAlchemy
  Cannot fetch index base URL http://pypi.python.org/simple/

  URLs to search for versions for SQLAlchemy:
  * http://pypi.python.org/simple/SQLAlchemy/
  Getting page http://pypi.python.org/simple/SQLAlchemy/
  Could not fetch URL http://pypi.python.org/simple/SQLAlchemy/: <urlopen error [Errno 111] Connection refused>
  Will skip URL http://pypi.python.org/simple/SQLAlchemy/ when looking for download links for SQLAlchemy
  Could not find any downloads that satisfy the requirement SQLAlchemy

No distributions at all found for SQLAlchemy

Exception information:
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/pip/basecommand.py", line 126, in main
    self.run(options, args)
  File "/usr/lib/python2.7/dist-packages/pip/commands/install.py", line 223, in run
    requirement_set.prepare_files(finder, force_root_egg_info=self.bundle, bundle=self.bundle)
  File "/usr/lib/python2.7/dist-packages/pip/req.py", line 948, in prepare_files
    url = finder.find_requirement(req_to_install, upgrade=self.upgrade)
  File "/usr/lib/python2.7/dist-packages/pip/index.py", line 152, in find_requirement
    raise DistributionNotFound('No distributions at all found for %s' % req)
DistributionNotFound: No distributions at all found for SQLAlchemy

有誰知道可能出了什麽問題?

最佳解決方法

您需要通過HTTPS獲取pypi,而不是HTTP。

由於某種原因,您的pip配置為從http://pypi.python.org/simple/而不是https://pypi.python.org/simple/檢索

次佳解決方法

答:升級點。

我安裝了1.1版。使用sudo pip install --upgrade pip,我得到了8.1.2版,我想要正確安裝的軟件包。

第三種解決方法

您沒有使用自2013年底以來一直使用的https連接。

您可以使用–index選項來更正索引URL。請參閱http://pip.readthedocs.org/en/latest/reference/pip_wheel.html#index-url

第四種方法

您可以使用-i傳遞特定的索引URL:

sudo pip install SQLAlchemy -i https://pypi.python.org/simple

第五種方法

解決方案1:升級pip

sudo pip install --upgrade pip -i https://pypi.python.org/simple

那麽,您可以使用pip作為:

sudo pip install SQLAlchemy

解決方案2:使用-i指定索引URL

sudo pip install SQLAlchemy -i https://pypi.python.org/simple

第六種方法

雖然這是一個老問題,但我的解決方案可以幫助某人。

pip install SQLAlchemy --extra-index-url=https://pypi.python.org/simple/

這適合我。

參考資料

本文由Ubuntu問答整理, 博文地址: https://ubuntuqa.com/zh-tw/article/6404.html,未經允許,請勿轉載。